Summary: Audio/MIDI multi-track sequencer
Name: qtractor
Version: 0.2.1
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://qtractor.sourceforge.net/
Source0: qtractor-%{version}.tar.gz
Source1: qtractor.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hicolor-icon-theme
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

%if 0%{fedora} >= 9
BuildRequires: qt-devel
%else
BuildRequires: qt4-devel
%endif
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: alsa-lib-devel libsndfile-devel libsamplerate-devel
BuildRequires: rubberband-devel liblo-devel libvorbis-devel
BuildRequires: ladspa-devel dssi-devel
BuildRequires: desktop-file-utils

%description
Qtractor is an Audio/MIDI multi-track sequencer application written in
C++ around the Qt4 toolkit using Qt Designer. The initial target
platform will be Linux, where the Jack Audio Connection Kit (JACK) for
audio, and the Advanced Linux Sound Architecture (ALSA) for MIDI, are
the main infrastructures to evolve as a fairly-featured Linux Desktop
Audio Workstation GUI, specially dedicated to the personal
home-studio.

%prep
%setup -q

%build
export PATH=${PATH}:%{_libdir}/qt4/bin
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
export PATH=${PATH}:%{_libdir}/qt4/bin
%{__make} %{?_smp_mflags} DESTDIR=%{buildroot} install

# move icon to freedesktop location
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/pixmaps/qtractor.png \
   %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/qtractor.png

# install the desktop entry
BASE="Application AudioVideo Audio"
XTRA="X-Recorders X-Multitrack X-Jack X-MIDI Midi Sequencer"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor planetccrma \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/qtractor
%{_datadir}/applications/*qtractor.desktop
%{_datadir}/icons/hicolor/32x32/apps/qtractor.png

%changelog
* Tue Sep 23 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.1-1
- updated to 0.2.1

* Thu Jun 19 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.3-1
- added patch for gcc43 build on fc9 (from gentoo).

* Fri May  2 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.3-1
-  initial build
- x86_64 build needs an explicit path for the qmake binary to be found
